Sie sind hier : Homepage →  Linux (1) Server-Installation→  j) Suse 13.1/64 XEN auf Proliant→  Aug 2014 - opensuse 13.1

Aug. 23. in 2014 - opensuse 13.1/xen DOM 0 does not work

Sunday Aug. 23. 2014 - written by Gert Redlich
I do write this text in english, so google will find it shortly.

Since 3 months I tried to install opensuse 13.1 with xen as DOM 0 xen-server on a HP DL385-G2 with 8 Opteron CPUs and 32 Gigabyte RAM and 8 cciss driven harddisks. Week by week I did jump from error to error and did reinstall the fresh base-system 5 or 8 times (or more) at least. - And every installation will load up to 2.5 Gigabyte - for nothing but stress and frustration.

Initially I did install GRUB 0.97 and not GRUB2. The old GRUB is much more comfortable to manage and I will install opensuse linux guests only, no Windows or whatever. What is more courious, every opensuse Net-installation did load up to 2.5 gigabyte including updates from suse repositories.

Basic installation of DOM 0 did work after "some" updates (I did not file, how many updates), but it took weeks to get it running smoothly.

Now I am running opensuse 13.1 (openSUSE 3.11.10-21) and Xen-Hypervisor Version 4.4.1 is installed - from today !!! The basic system runs fine - but the xen tools do not start.

  • In German - auf Deutsch :
    Seit über 3 Monaten versuche ich, auf einem Proliant DL385-G5 eine sauber und stabil laufende opensuse 13.1 XEN Server-Umgebung auf die Beine zu stellen. Es klappt immer noch nicht. Der xen Manager läuft nicht und ich kann keine "virtellen Gäste" erzeugen und damit auch nicht verwalten. Alle Mühen samt des brand aktuellen libvirtd Updates vom 28.8.2014 laufen schief. Der Zeitaufwand geht in der Summe bereits in die Wochen. Es ist einfach nur noch Sch..........

    Inzwischen habe ich die über 1,5 Jahre alte Version 12.3 installiert. Dort geht aber wieder die Fernsteuer-Maus unter der iLO2 Fernkonsole nur schlepend. Bei Version 12.2 und 13.1 geht sie aber flüssig und problemlos !! Was soll das alles.

.

Unable to install any DOM U from virtual maschine manager

Error-message
Error-message
Error-message

The very last installation from a week ago was done with libvirt 1.1.2 and any try to install a DOM U did fail (since weeks now). Searching for errors was really inefficient and took hours and hours. One of the last errors was, GRUB2 will be required ??? Why ?? What to do has the base loader with a DOM U ?? No answer found.

Installing brand new libvirt 1.2.7

After googling half of the night, I found a brand new libvirt version (now 1.2.7 replacing 1.1.2) in an up too today unknown repository. The author is Jim http://jfehlig.wordpress.com/ . Reading this page carefully, I found many detailed installation tips and hints.

This is the link : http://software.opensuse.org/download.html?project=Virtualization&package=libvirt

Wonderful - but at the end - it did not work anyway.

May be some mistakes have been fixed, there is another brand new error and stopping libvirt. Searching für other users with the same problem, I found a debian libvirt version 1.2.4 which shoud run smoothly and I found out, that debian offers patch for the 1.2.7 Version.
.

The result is: opensuse/xen 13.1 seems to be not ready for a longer time

Its a mess, that opensuse 13.1 does not run as a xen DOM0 on professional servers. - On the other hand, there must be a reason that suse enterprise linux SLES ist frozen on version 11 SP3 since over 3 years.

Some friends supplied a tip, that may be "they" want to force us to buy SLES.
.

Last Test with the initial version 13.1 (means no updates)

Another new installation of the very early initial version war crowded too. All suggestetd updates have been denied (my decision) und I am running the old GRUB and the early linux 3.11.6-4-xen version.

With some extra zypper installations, now initial xend and initial xencommons and initial xendomains and libvirt are running. Currently no updates are allowed.

Checking this initial installation :

Installing a DOM U results in an error:
Device 0 (vif) could not be connected - hotplug scripts not working

But libvirt shows a lot of errors. qemu seems to be missed ?? Why ?? Aha, qemu ist not installed - but required ?? What's that ??

So I did install a lot of "junk ?" - means - I did select all available "qemu" files.

That means: Less errors with virtlibd , but "Failed to get host CPU" ??

Terrible, vmm does not install DMO U - and that is essential.

Device 0 (vif) could not be connected - hotplug scripts not working

I am close to give up - so very last try with virtlibd 1.2.7 on this new but not yet updated 13.1 installation

http://software.opensuse.org/download.html?project=Virtualization&package=libvirt

https://build.opensuse.org/package/show/Virtualization/libvirt


What means module "vnif" not found (at shutdown on closing down) ?

Now as "the last train" all available updates will be initiatet - that did take a long time - more than 15 minutes - , it must have been many many megabytes.

But however - the virtual maschine manager does not start !!!!!! So at the very late end the installation af new xen guest ist not possible.
.

Because it did not work, I did install opensuse NET 12.3

Installing a 12.2 DOM U works
The final installation message

During the night of Aug. 25th, I did eraese all my 13.1 test-installations and did install old version 12.3 from scratch - that means from my very old 12.3 NET CD, which was createtd as a reserve boot CD. - Only not to forget - all current HP Proliant DL 385-G1 servers are running well under opensuse xen 12.2.

I am sorry, but its a mess, that the server installation with 13.1 does not run after 9 months after the final launch of version 13.1.

Its nice, that all children with their desktop or notebook installations are happy, but the professionals cannot work with a failing 13.1 source. In our german magazine "ct"from August 2014, the comparison of Linux operating systems ist not very friendly for opensuse. Too much junk must be fixed on the commandline - terrible.

So in Sept. 2014 we did and need to restart (reinstall) the very new servers with an old version 12.3 NET CD - an nasty solution.
.

Startseite - © 2001/2016 - all Copyrights by RDE Consult Gert Redlich - 65191 Wiesbaden - zum Telefon -